package netobj;

import java.io.*;

public abstract class NetObjBase implements NetObj {
  static Manager manager= Manager.getLocalManager();

  WireRep wrep= null;
          // The wire representation for external object identification

  // A network object is never serialized.  Instead it is replaced
  // by its wire representation.
  protected Object writeReplace() throws ObjectStreamException {
    // The manager must be notified, so it places the object in
    // the object table.
    manager.sendNetObj(this);
    return wrep;
  }
}
